{ --------------------------------------------------------------------------- }
{ Mandel History                                                              }
{ --------------------------------------------------------------------------- }
{ Update history:                                                             }
{                                                                             }
{ 1.00  24.Mar.2008  Published                                                }
{ 0.02  01.Jan.2008  User interface changes                                   }
{ 0.01         1997  Early versions                                           }
{ --------------------------------------------------------------------------- }

unit UGlobals;

interface

const
    AppName      = 'Mandel';
    AppVersion   = 'v1.00';
    AppAuthor    = 'written by Kostas Symeonidis and his students';
    AppCopyright = '1997-1998, 2008 CyLog Software';

function StartUpDir : string;
function StrString ( d : double; MaxLength,DecDigits : integer ) : string;
function StrStringZero ( d : double; MaxLength,DecDigits : integer ) : string;

implementation

uses
    SysUtils;

function StartUpDir : string;
begin
    Result := IncludeTrailingBackslash(ExtractFilePath(ParamStr(0)));
end;

function StrString ( d : double; MaxLength,DecDigits : integer ) : string;
var
    s : string;

begin
    Str (d:MaxLength:DecDigits, s);
    Result := s;
end;

function StrStringZero ( d : double; MaxLength,DecDigits : integer ) : string;
var
    s : string;

begin
    Str (d:MaxLength:DecDigits, s);
    while Pos (#32,s) <> 0 do
        s[Pos(#32,s)] := '0';
    Result := s;
end;

end.
